package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridWorkReport;
import com.ruoyi.system.domain.grid.GridWorkReportExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridWorkReportMapper {
    long countByExample(GridWorkReportExample example);

    int deleteByExample(GridWorkReportExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GridWorkReport record);

    int insertSelective(GridWorkReport record);

    List<GridWorkReport> selectByExample(GridWorkReportExample example);

    GridWorkReport selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GridWorkReport record, @Param("example") GridWorkReportExample example);

    int updateByExample(@Param("record") GridWorkReport record, @Param("example") GridWorkReportExample example);

    int updateByPrimaryKeySelective(GridWorkReport record);

    int updateByPrimaryKey(GridWorkReport record);
}